using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace ArrayListDemo
{
   class Program
   {
      static void Main(string[] args)
      {
         ArrayList al = new ArrayList();

         al.Add("Każdy grzeczny chłopiec zasługuje na cukierka.");
         al.Add("Szybki brązowy lis...");
         al.Add("Lepiej zapobiegać niż leczyć.");
         al.Add("Każdy zachowany grosik dziennie daje 7 groszy tygodniowo.");
         Console.WriteLine("Pierwszy element: " + (string)al[0]);
         Console.WriteLine(string.Format(
          "Lista ma {0} elementów, pojemność {1} i {2} jest stałego rozmiaru.",
          al.Count, al.Capacity, al.IsFixedSize ? "" : "nie"));

         Console.WriteLine(string.Format(
          "'Szybki brązowy lis...' ma w liście indeks nr {0}\n",
          al.IndexOf("Szybki brązowy lis...")));

         al.Sort();
         Console.WriteLine("Lista posortowana:");
         foreach (string s in al)
         {
            Console.WriteLine(s);
         }
         Console.ReadLine();
      }
   }
}
